LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Red Hat
User Name
Password
Red Hat This forum is for the discussion of Red Hat Linux.

Notices


Reply
  Search this Thread
Old 02-12-2009, 12:27 AM   #1
johncsl82
Member
 
Registered: Nov 2003
Location: Planet Earth
Distribution: Redhat, Gentoo, Mandrake, FreeBSD
Posts: 73

Rep: Reputation: 18
Question Can Red Hat Enterprise Linux 4 utilize Fedora 9 / 10 RPM package


Hello people,

May I know is Fedora 9 / 10 RPM package compatible with Red Hat Enterprise Linux 4?

Meaning that if I wanted to install a software, which is a Fedora 9 / 10 RPM package onto a Red Hat Enterprise Linux 4, will the software running fine?

Thank You
 
Old 02-12-2009, 01:54 AM   #2
lazlow
Senior Member
 
Registered: Jan 2006
Posts: 4,363

Rep: Reputation: 172Reputation: 172
Odds are pretty high that it will not function properly. RHEL4 was based on FC3, RHEL5 on FC6. Even FC8 packages on RHEL5 have issues.

What software do you want to run.
 
Old 02-14-2009, 06:19 AM   #3
thierrys
LQ Newbie
 
Registered: Feb 2009
Distribution: RedHat, Fedora, CentOS
Posts: 27

Rep: Reputation: 18
probably not depending on library versions really...
as lazlow stated, you need to give a bit more info here
 
Old 02-15-2009, 11:20 AM   #4
stormtracknole
Senior Member
 
Registered: Aug 2005
Distribution: Slackware, RHEL
Posts: 1,215

Rep: Reputation: 190Reputation: 190
You may be able to rebuild the source rpm assuming that you have installed the required rpms. For example, lets say that you need to rebuild an rpm that requires python-2.4 or higher. If your machine only has python-2.3 (like RHEL 4), then your rpm will fail to build. I've some mostly good success in rebuilding rpms from Fedora 8 and even 9 for RHEL 5. Once you starting getting into the Fedora 10 version, you could run into some problems due to rpms requiring much newer version of other rpms which your distribution may not have. Worse comes to worse, you can do the ol' ./configure && make && make install and hope for the best.
 
Old 02-16-2009, 09:21 PM   #5
johncsl82
Member
 
Registered: Nov 2003
Location: Planet Earth
Distribution: Redhat, Gentoo, Mandrake, FreeBSD
Posts: 73

Original Poster
Rep: Reputation: 18
Thank you all for reply

Quote:
Originally Posted by lazlow View Post
Odds are pretty high that it will not function properly. RHEL4 was based on FC3, RHEL5 on FC6. Even FC8 packages on RHEL5 have issues.

What software do you want to run.
So will it be compatible if I install FC3 RPM package software into RHEL 4?

I wanted to install the latest version of OpenSSL and OpenSSH.

Thank You

Last edited by johncsl82; 02-16-2009 at 09:22 PM.
 
Old 02-16-2009, 09:31 PM   #6
lazlow
Senior Member
 
Registered: Jan 2006
Posts: 4,363

Rep: Reputation: 172Reputation: 172
Not necessarily, the closer you are to the version that it was based on the more likely it will work. The problem is that support for FC3 was dropped several years ago(even support for FC6 was dropped over a year ago), so it is highly unlikely you will find a more up to date rpm for FC3 than you already have for RHEL4. Either compiling it yourself or rebuilding a source rpm are about your only options. If security is your concern I would not get too excited. RH usually keeps the same number for any application but applies security patches to that version in order to maintain security(so although the version number would indicate it is an older version, it has been patched to the point that it is usually the equivalent of the current version, security wise).
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
How to install src.rpm package on Red hat Linux? asimpeter Linux - Newbie 10 09-21-2011 09:57 AM
can i install software packages for Red Hat Enterprise Linux 5 from fedora CD's sagitalk Linux - Newbie 4 08-05-2008 07:39 PM
Issues with package manager on Red Hat Enterprise 5 brent.jones Linux - Newbie 3 07-08-2008 02:12 AM
Wireshark rpm for Red Hat Enterprise 5 thiagarn Linux - Newbie 3 03-01-2008 02:03 PM
Firefox 0.9.1/0.9.2 rpm package for Red Hat 9.0 ? southpole.dk Linux - Software 2 07-16-2004 09:10 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Red Hat

All times are GMT -5. The time now is 09:11 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration